Skip to main content
DELETE
/
api
/
rest
/
shipment_line_items
/
{id}
Delete One Shipment Line Item
curl --request DELETE \
  --url https://api.upwell.com/api/rest/shipment_line_items/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>"
}
'
import requests

url = "https://api.upwell.com/api/rest/shipment_line_items/{id}"

payload = { "id": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};

fetch('https://api.upwell.com/api/rest/shipment_line_items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deleteShipmentLineItem": {
    "id": "<string>"
  }
}

Headers

authorization
string

Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY

Path Parameters

id
string
required

"id" is required (enter it either in parameters or request body)

Body

application/json

Query parameters can also be provided in the request body as a JSON object

id
string

Response

200 - application/json

Responses for DELETE /api/rest/shipment_line_items/{id}

deleteShipmentLineItem
ShipmentLineItems Ā· object | null

Shipment Line Items